package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 签到签离保存入参实体
 */
public class VipSignSaveInDto extends BaseRequest{


	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="libId",value="图书馆id",required=true)
	@NotNull
	private String libId;

	@ApiModelProperty(name="type",value = "1-签到2-签离",required = true)
	@NotNull
	private int type;

	@ApiModelProperty(name="selectAll",value = "1-全选2-非全选",required = true)
	@NotNull
	private int selectAll;

	@ApiModelProperty(name="ids",value = "id集合",required = false)
	private List<String> ids;

	@ApiModelProperty(name="childName",value = "搜索姓名",required = false)
	private String childName;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public int getSelectAll() {
		return selectAll;
	}

	public void setSelectAll(int selectAll) {
		this.selectAll = selectAll;
	}

	public List<String> getIds() {
		return ids;
	}

	public void setIds(List<String> ids) {
		this.ids = ids;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}
}
